
From: Andrew Morton <akpm@osdl.org>

Various stuff missing on alpha:

drivers/message/i2o/config-osm.c:35: error: field `fops' has incomplete type
drivers/message/i2o/config-osm.c: In function `sysfs_create_fops_file':
drivers/message/i2o/config-osm.c:71: error: storage size of `tmp' isn't known
drivers/message/i2o/config-osm.c:78: error: dereferencing pointer to incomplete type
drivers/message/i2o/config-osm.c:81: error: dereferencing pointer to incomplete type


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/message/i2o/config-osm.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/message/i2o/config-osm.c~i2o-config-osm-build-fix drivers/message/i2o/config-osm.c
--- 25-alpha/drivers/message/i2o/config-osm.c~i2o-config-osm-build-fix	2005-07-06 18:18:38.000000000 -0700
+++ 25-alpha-akpm/drivers/message/i2o/config-osm.c	2005-07-06 18:19:51.000000000 -0700
@@ -15,7 +15,9 @@
 
 #include <linux/module.h>
 #include <linux/i2o.h>
+#include <linux/dcache.h>
 #include <linux/namei.h>
+#include <linux/fs.h>
 
 #include <asm/uaccess.h>
 
_
